Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCreator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCreator.cs	(revision 14712)
@@ -28,4 +28,5 @@
   /// An interface which represents an operator for creating vectors of bool-valued data.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("B00B3EFC-D1CA-4023-808A-C500E047225E")]
   public interface IBinaryVectorCreator : IBinaryVectorOperator, ISolutionCreator {
     IValueLookupParameter<IntValue> LengthParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCrossover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCrossover.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCrossover.cs	(revision 14712)
@@ -27,4 +27,5 @@
   /// An interface which represents an operator for crossing vectors of bool-valued data.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("F090E100-8965-45B7-AA60-7CD908648FF5")]
   public interface IBinaryVectorCrossover : IBinaryVectorOperator, ICrossover {
     ILookupParameter<ItemArray<BinaryVector>> ParentsParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorManipulator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorManipulator.cs	(revision 14712)
@@ -27,4 +27,5 @@
   /// An interface which represents an operator for manipulating vectors of bool-valued data.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("6069C38F-3B34-468B-82A6-20094C6230D0")]
   public interface IBinaryVectorManipulator : IBinaryVectorOperator, IManipulator {
     ILookupParameter<BinaryVector> BinaryVectorParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMoveOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMoveOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMoveOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("A5E8E5AC-3260-4645-A14F-E2EDC24EAE05")]
   public interface IBinaryVectorMoveOperator : IBinaryVectorOperator, IMoveOperator {
     ILookupParameter<BinaryVector> BinaryVectorParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMultiNeighborhoodShakingOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMultiNeighborhoodShakingOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMultiNeighborhoodShakingOperator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("FF606C6B-397E-4DEF-826D-508928F0B35F")]
   public interface IBinaryVectorMultiNeighborhoodShakingOperator : IBinaryVectorOperator {
     ILookupParameter<BinaryVector> BinaryVectorParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorOperator.cs	(revision 14712)
@@ -26,4 +26,5 @@
   /// An interface which represents an operator dealing with vectors of bool-valued data.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("6BE7AC5E-2257-4DC9-8244-0926D40EC46B")]
   public interface IBinaryVectorOperator : IOperator { }
 }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IOneBitflipMoveOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IOneBitflipMoveOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IOneBitflipMoveOperator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("2C41FD4C-8E91-411C-9363-B79F8F95D255")]
   public interface IOneBitflipMoveOperator : IBinaryVectorMoveOperator {
     ILookupParameter<OneBitflipMove> OneBitflipMoveParameter { get; }
